From 66e43bcfb0c7d5e59dcfa4590a80d28eaf46862c Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Apr 21 2016 20:03:25 +0000
Subject: [PATCH 406/1001] Let's not return a 404 if there is nothing to configure


This is required since even if there is nothing to configure we want
to show the panel so that the widget can be removed from the hub if
desired.

---

diff --git a/hubs/app.py b/hubs/app.py
index 3b60380..2cbaffe 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -156,8 +156,6 @@ def widget_json(hub, idx):
 @app.route('/<hub>/<idx>/edit', methods=['GET'])
 def widget_edit_get(hub, idx):
     widget = get_widget(session, hub, idx)
-    if not widget.module.data.widget_arguments:
-        flask.abort(404, 'Nothing to configure for this hub.')
     return flask.render_template(
         'edit.html',
         hub=hub,

